#include "mainwindow.h"
#include "ui_mainwindow.h"
#include<QWebEngineSettings>
//#include <QWebSecurityOrigin>
#include <QWebEngineView>


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    m_pWebPage = new QWebEngineView(this);
    ui->gridLayout->addWidget(m_pWebPage,0,0);
    // START: set QWebEngine to accept local files.

    bool enableLocalFileStuff = true; // <-- this has no influence really, even though it should.

    QWebEngineSettings *pSettings = m_pWebPage->settings();
    pSettings->setAttribute(QWebEngineSettings::LocalContentCanAccessRemoteUrls, enableLocalFileStuff);
    pSettings->setAttribute(QWebEngineSettings::LocalContentCanAccessFileUrls, enableLocalFileStuff);


    pSettings = m_pWebPage->page()->settings();
    pSettings->setAttribute(QWebEngineSettings::LocalContentCanAccessRemoteUrls, enableLocalFileStuff);
    pSettings->setAttribute(QWebEngineSettings::LocalContentCanAccessFileUrls, enableLocalFileStuff);



    QWebEngineSettings::globalSettings()->setAttribute(QWebEngineSettings::LocalContentCanAccessFileUrls, enableLocalFileStuff);
    QWebEngineSettings::globalSettings()->setAttribute(QWebEngineSettings::LocalContentCanAccessRemoteUrls, enableLocalFileStuff);

    QWebEngineSettings::defaultSettings()->setAttribute(QWebEngineSettings::LocalContentCanAccessFileUrls, enableLocalFileStuff);
    QWebEngineSettings::defaultSettings()->setAttribute(QWebEngineSettings::LocalContentCanAccessRemoteUrls, enableLocalFileStuff);
    QWebEngineSettings::globalSettings()->setFontSize(QWebEngineSettings::DefaultFontSize,48);

    m_pWebPage->load(QUrl("qrc:/index.html"));
    //m_pWebPage->load(QUrl("http://www.google.com"));
}

MainWindow::~MainWindow()
{
    delete ui;
}

